# gdcm::IODs Class Reference

Class for representing a IODs. More...

`#include <gdcmIODs.h>`

Collaboration diagram for gdcm::IODs:
[legend]

List of all members.

## Public Types

typedef std::map< IODName, IOD > | IODMapType
typedef IODMapType::const_iterator | IODMapTypeConstIterator
typedef std::string | IODName

## Public Member Functions

| IODs ()
void | AddIOD (const char *name, const IOD &module)
IODMapTypeConstIterator | Begin () const
void | Clear ()
IODMapTypeConstIterator | End () const
const IOD & | GetIOD (const char *name) const

## Friends

std::ostream & | operator<< (std::ostream &_os, const IODs &_val)

## Detailed Description

Class for representing a IODs.

Note:
  bla

See also:
  IOD

Examples:

  TraverseModules.cxx.

## Member Typedef Documentation

typedef std::map<IODName, IOD> gdcm::IODs::IODMapType

typedef IODMapType::const_iterator gdcm::IODs::IODMapTypeConstIterator

typedef std::string gdcm::IODs::IODName

## Constructor & Destructor Documentation

gdcm::IODs::IODs | ( |  | ) | `[inline]`

## Member Function Documentation

void gdcm::IODs::AddIOD | ( | const char * | name,
|  | const IOD & | module
| ) |  | `[inline]`

IODMapTypeConstIterator gdcm::IODs::Begin | ( |  | ) | const`[inline]`

void gdcm::IODs::Clear | ( |  | ) | `[inline]`

IODMapTypeConstIterator gdcm::IODs::End | ( |  | ) | const`[inline]`

const IOD& gdcm::IODs::GetIOD | ( | const char * | name | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const IODs & | _val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmIODs.h